import { nothing } from '../../../../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../../../../core/lit-element/index.js';
export declare class UmbWebhookTableContentTypeColumnLayoutElement extends UmbLitElement {
    #private;
    value?: {
        contentTypeName: string;
        contentTypes: Array<string>;
    };
    private _contentTypes;
    connectedCallback(): void;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-webhook-table-content-type-column-layout': UmbWebhookTableContentTypeColumnLayoutElement;
    }
}
